Subject: bug#49959: 28.0.50; Emacs got quasi freeze

From: martin rudalics <[email-masked]>
Date: Sun, 29 Aug 2021 09:21:59 +0200

> RM>  - Send me a diff of your "emacs with bug" and your "emacs without bug".

Sorry but what I meant here is that you should send me the output of the
diff program for the codes, that is the differences when comparing the
_code_ of the "emacs without bug" and the _code_ of "emacs with bug".  I
cannot guess that from here because I cannot simply revert commit
483c5e953c12a95382bef4a3b6769a680c32fe86 here - it gets me a conflict
with a later commit.

When you send me the differences between the two versions, I hopefully
will be able to figure out why they behave differently when run.  So
please don't _run_ emacs for this purpose but tell me what the static
differences between these two versions are.  And don't hesitate to ask
if this request was unclear again.

 > RM>  I cannot imagine how Emacs can get there without producing any recorded
 > RM>  events before or after it so it would be very interesting to find out
 > RM>  how it got there in the first place.
 >
 > This one?
 >
 > (gdb) bt
 > #0  builtin_lisp_symbol (index=0) at lisp.h:1008
 > #1  0x0000000000573854 in x_make_frame_visible (f=0x12815e8) at xterm.c:11686
 > #2  0x0000000000574044 in x_make_frame_visible_invisible
 >      (f=0x12815e8, visible=true) at xterm.c:11898
 > #3  0x000000000043bf11 in Fmake_frame_visible (frame=0x12815ed) at frame.c:2718
 > #4  0x000000000068f99d in funcall_subr
 >      (subr=0xe571c0 <Smake_frame_visible>, numargs=1, args=0x7fffffffa250)
 >      at eval.c:3126
 > #5  0x000000000068f47e in Ffuncall (nargs=2, args=0x7fffffffa248)
 >      at eval.c:3051
[...]
 > #39 0x00000000005b4856 in top_level_2 () at keyboard.c:1126
 > #40 0x000000000068af6d in internal_condition_case
 >      (bfun=0x5b4833 <top_level_2>, handlers=0x90, hfun=0x5b4100 <cmd_error>)
 >      at eval.c:1478
 > #41 0x00000000005b489a in top_level_1 (ignore=0x0) at keyboard.c:1134
 > #42 0x000000000068a1c2 in internal_catch
 >      (tag=0xe730, func=0x5b4858 <top_level_1>, arg=0x0) at eval.c:1198
 > --Type <RET> for more, q to quit, c to continue without paging--
 > #43 0x00000000005b478b in command_loop () at keyboard.c:1094
 > #44 0x00000000005b3be1 in recursive_edit_1 () at keyboard.c:720
 > #45 0x00000000005b3deb in Frecursive_edit () at keyboard.c:792
 > #46 0x00000000005afea6 in main (argc=1, argv=0x7fffffffd568) at emacs.c:2310

This one, right.  It still leaves me with the mystery that
`frame-size-history' does not record a single event whenever you switch
desktops.

Thanks, martin